Bug 978297 - Glusterfs self-heal daemon crash on split-brain replicate log too big
Glusterfs self-heal daemon crash on split-brain replicate log too big
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 05:50 EDT by Lukas Bezdicka
Modified: 2014-12-14 14:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2013-06-26 05:50:05 EDT
Description of problem:
We got gluster self-heal daemon crash when splint-brain on volume went unnoticed for long time.

Version-Release number of selected component (if applicable):
3.3.1

How reproducible:
Always, but hard.

Steps to Reproduce:
1. Get split brain on /
2. Wait... having regular traffic.
3. gluster volume heal <volume> info split-brain hits 4096
4. crash

Actual results:
pending frames:

patchset: git://git.gluster.com/glusterfs.git
signal received: 11
time of crash: 2013-06-22 13:09:19
configuration details:
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.3.1
/lib64/libc.so.6[0x33d6a32920]
/usr/lib64/glusterfs/3.3.1/xlator/cluster/replicate.so(_add_event_to_dict+0x0)[0x7ff18fddb730]
/usr/lib64/libglusterfs.so.0(cb_buffer_dump+0xac)[0x3d3305b9dc]
/usr/lib64/glusterfs/3.3.1/xlator/cluster/replicate.so(_add_eh_to_dict+0x2f)[0x7ff18fddb0bf]
/usr/lib64/glusterfs/3.3.1/xlator/cluster/replicate.so(_add_all_subvols_eh_to_dict+0x7b)[0x7ff18fddb14b]
/usr/lib64/glusterfs/3.3.1/xlator/cluster/replicate.so(afr_xl_op+0x135)[0x7ff18fddb2b5]
/usr/lib64/glusterfs/3.3.1/xlator/cluster/replicate.so(notify+0x29)[0x7ff18fde0409]
/usr/sbin/glusterfs(glusterfs_handle_translator_op+0x452)[0x409212]
/usr/lib64/libglusterfs.so.0(synctask_wrap+0x12)[0x3d3304b832]
/lib64/libc.so.6[0x33d6a43b80]

Expected results:
No crash.


Additional info:
Comment 1 Niels de Vos 2014-11-27 09:54:30 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.